package hu.kozadat.search.model;

import java.util.LinkedList;
import java.util.List;

public class DataProviderDisplayInfo
{
	private long dataProviderId;
	private String institutionName;
	private String oaiId;
	private String institutionShortName;
	private String address;
	private String newAddress;
	private String postalAddress;
	private List<String> phoneNumber;
	private List<String> faxNumber;
	private String website;
	private String email;
	private String leader;
	private List<String> institutionType;
	private String userType;
    private String state;

	private String backURI;
	private String backPageParam;
	private int backPage;
	private String backPattern;
	private List<String> letters;

	public long getDataProviderId()
	{
		return dataProviderId;
	}

	public void setDataProviderId(long dataProviderId)
	{
		this.dataProviderId = dataProviderId;
	}

	public String getInstitutionName()
	{
		return institutionName;
	}

	public void setInstitutionName(String institutionName)
	{
		this.institutionName = institutionName;
	}

	public String getInstitutionShortName()
	{
		return institutionShortName;
	}

	public void setInstitutionShortName(String institutionShortName)
	{
		this.institutionShortName = institutionShortName;
	}

	public String getAddress()
	{
		return address;
	}

	public void setAddress(String address)
	{
		this.address = address;
	}

	public String getNewAddress()
	{
		return newAddress;
	}

	public void setNewAddress(String newAddress)
	{
		this.newAddress = newAddress;
	}

	public String getPostalAddress()
	{
		return postalAddress;
	}

	public void setPostalAddress(String postalAddress)
	{
		this.postalAddress = postalAddress;
	}

	public List<String> getPhoneNumber()
	{
		return phoneNumber;
	}

	public String getPhoneNumberCommaSeparated()
	{
		StringBuffer res = new StringBuffer();

		int idx = 0;
		if (phoneNumber != null)
		{
			for (String actPhone : phoneNumber)
			{
				res.append(actPhone);

				if (idx != phoneNumber.size() - 1)
					res.append(", ");

				idx++;
			}
		}

		return res.toString();
	}

	public void setPhoneNumber(List<String> phoneNumber)
	{
		this.phoneNumber = phoneNumber;
	}

	public List<String> getFaxNumber()
	{
		return faxNumber;
	}

	public String getFaxNumberCommaSeparated()
	{
		StringBuffer res = new StringBuffer();

		int idx = 0;
		if (faxNumber != null)
		{
			for (String actFax : faxNumber)
			{
				res.append(actFax);

				if (idx != faxNumber.size() - 1)
					res.append(", ");

				idx++;
			}
		}

		return res.toString();
	}

	public void setFaxNumber(List<String> faxNumber)
	{
		this.faxNumber = faxNumber;
	}

	public String getWebsite()
	{
		return website;
	}

	public void setWebsite(String website)
	{
		this.website = website;
	}

	public String getEmail()
	{
		return email;
	}

	public void setEmail(String email)
	{
		this.email = email;
	}

	public String getLeader()
	{
		return leader;
	}

	public void setLeader(String personInCharge)
	{
		this.leader = personInCharge;
	}

	public List<String> getInstitutionType()
	{
		return institutionType;
	}

	public void setInstitutionType(List<String> institutionType)
	{
		this.institutionType = institutionType;
	}

	public String getUserType()
	{
		return userType;
	}

	public void setUserType(String userType)
	{
		this.userType = userType;
	}

	public String getOaiId()
	{
		return oaiId;
	}

	public void setOaiId(String oaiId)
	{
		this.oaiId = oaiId;
	}

	public String getBackURI()
	{
		return backURI;
	}

	public void setBackURI(String backURI)
	{
		this.backURI = backURI;
	}

	public String getBackPageParam()
	{
		return backPageParam;
	}

	public int getBackPage()
	{
		return backPage;
	}

	public void setBackPage(int backPage)
	{
		this.backPage = backPage;
	}

	public String getBackPattern()
	{
		return backPattern;
	}

	public void setBackPattern(String backPattern)
	{
		this.backPattern = backPattern;
	}

	public void setBackPageParam(String backPageParam)
	{
		this.backPageParam = backPageParam;
	}

	public List<String> getLetters()
	{
		if (letters == null)
		{
			letters = new LinkedList<String>();
		}
		return letters;
	}

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }
}
