package hu.kozadat.search.ui;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.*;
import java.util.HashMap;
import java.util.Map;

/**
 * User: codex
 */
@Deprecated
public class TemplateCache {

    private static final Logger LOGGER = LoggerFactory.getLogger(TemplateCache.class);

    private String templatePath;
    private Map<String, String> templates;

    public TemplateCache() {
        templates = new HashMap<String, String>();
    }

    public void setTemplatePath(String templatePath) {
        this.templatePath = templatePath;
    }

    private String readTemplate(String templateName) {
        File templateFile = new File(templatePath + templateName);
        StringBuffer res = new StringBuffer();

        BufferedReader input = null;
        try {
            input = new BufferedReader(new InputStreamReader(new FileInputStream(templateFile), "UTF-8"));

            String line = null;
            while ((line = input.readLine()) != null) {
                res.append(line);
            }
        } catch (FileNotFoundException e) {
            LOGGER.error(e.getMessage(), e);
        } catch (IOException e) {
            LOGGER.error(e.getMessage(), e);
        } finally {
            try {
                if (input != null) {
                    input.close();
                }
            } catch (IOException e) {
                LOGGER.error(e.getMessage(), e);
            }
        }

        return res.toString();
    }


    public String getTemplate(String templateName) {
        String res = templates.get(templateName);
        if (res == null) {
            res = readTemplate(templateName);
            templates.put(templateName, res);
        }
        return res;
    }
}
