package hu.kozadat.search.ws;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import java.util.Collection;

/**
 * Created by IntelliJ IDEA.
 * User: codex
 * Date: May 5, 2008
 * Time: 10:56:09 PM
 * To change this template use File | Settings | File Templates.
 */
@WebService(name = "OAISearch", targetNamespace = "http://ws.textsearch.kozadat.hu")
public interface SearchSEI {

    Collection<SearchResultItem> search(
            @WebParam(name = "query", targetNamespace = "http://ws.textsearch.kozadat.hu")
            String query,
            @WebParam(name = "schema", targetNamespace = "http://ws.textsearch.kozadat.hu")
            Integer schema);

    Collection<SchemaItem> getSchemas();

    DataProviderWSInfo getDataProvider(
            @WebParam(name = "id", targetNamespace = "http://ws.textsearch.kozadat.hu")
            int id) throws NoSuchDataProviderException;

    @WebMethod(operationName = "HasResult")
    boolean hasResult(
            @WebParam(name = "searchExpression", targetNamespace = "http://ws.textsearch.kozadat.hu")
            String searchExpression);


    @WebMethod(operationName = "GetResultCount")
    int getResultCount(
            @WebParam(name = "searchExpression", targetNamespace = "http://ws.textsearch.kozadat.hu")
            String searchExpression);
}
