package hu.kozadat.search.presentation.institutionsearch;

import java.util.LinkedList;
import java.util.List;
import java.util.Map;
import java.util.TreeMap;

public class InstitutionSearchFormBackingBean {

    private String nev;
    private String csoport;
    private List<LetterGroup> availableLetterGroups = new LinkedList<LetterGroup>();
    private Map<String, Long> regionIdMap = new TreeMap<String, Long>();

    public String getNev() {
        return nev;
    }

    public void setNev(String nev) {
        this.nev = nev;
    }

    public String getCsoport() {
        return csoport;
    }

    public void setCsoport(String csoport) {
        this.csoport = csoport;
    }

    public List<LetterGroup> getAvailableLetterGroups() {
        return availableLetterGroups;
    }

    public void setAvailableLetterGroups(List<LetterGroup> availableLetterGroups) {
        if (availableLetterGroups != null) {
            this.availableLetterGroups.clear();
            this.availableLetterGroups.addAll(availableLetterGroups);
        }
    }

    public Map<String, Long> getRegionIdMap() {
        return regionIdMap;
    }

    public void setRegionIdMap(Map<String, Long> regionIdMap) {
        if (regionIdMap != null) {
            this.regionIdMap.clear();
            this.regionIdMap.putAll(regionIdMap);
        }
    }

    @Override
    public int hashCode() {
        int result = nev != null ? nev.hashCode() : 0;
        result = 31 * result + (csoport != null ? csoport.hashCode() : 0);
        return result;
    }

}
